ufo = {}

function ufo.load()
  ufo.ufoImage = love.graphics.newImage("sprites/ufo.png")
  ufo.image = ufo.ufoImage
  ufo.timer = love.math.random(10, 50)
  ufo.go = false

  ufo.deadTimer = 0
  ufo.dead = false

  ufo.x = 0
  ufo.y = 40 
  ufo.speed = 250

  ufo.scoreValue = {50, 100, 150}
end

function ufo.update(dt)
  if ufo.go == false then
    ufo.timer = ufo.timer - dt
  end

  if ufo.timer <= 0 then
    ufo.go = true
    ufo.timer = love.math.random(10, 50)
  end

  if ufo.go then
    ufo.x = ufo.x + ufo.speed * dt
    if ufo.x > 800 then
      ufo.x = 0
      ufo.go = false
    end
  end

  if ufo.dead then
    ufo.deadTimer = ufo.deadTimer + dt
    if ufo.deadTimer > .2 then
      ufo.go = false
      ufo.dead = false
      ufo.deadTimer = 0
    end
  end
end

function ufo.draw()
  if ufo.go then
    love.graphics.draw(ufo.image, ufo.x, ufo.y, 0, 2, 2)
  end
  if ufo.dead then
    ufo.image = enemy.deadImage
  else
    ufo.image = ufo.ufoImage
  end
end
